KWIN_DRAW_STRING(3)

FUNCTION
kwin_draw_string - Draw a string onto a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_draw_string

(KPixCanvas canvas, double x, double y, CONST char *string, unsigned long pixel_value, flag clear_under)

DESCRIPTION
This routine will draw a NULL terminated string onto a pixel canvas, using the default font for the canvas.

canvas
    The canvas.

x   The horizontal offset of the string origin.

y   The vertical offset of the string origin.

string
    The string.

pixel_value
    The pixel value to use.

clear_under
    If TRUE, then the routine will draw both the foreground and background of the characters.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/